> ## Documentation Index
> Fetch the complete documentation index at: https://docs.liveavatar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List User Contexts

> List user contexts



## OpenAPI

````yaml /openapi.json get /v1/contexts
openapi: 3.1.0
info:
  title: Live avatar API
  version: 0.1.0
servers:
  - url: https://api.liveavatar.com
security: []
paths:
  /v1/contexts:
    get:
      tags:
        - Contexts
      summary: List User Contexts
      description: List user contexts
      operationId: list_user_contexts_v1_contexts_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
        - name: la_session
          in: cookie
          required: false
          schema:
            title: La Session
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Response_PaginatedResponse_ContextSchema__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Response_PaginatedResponse_ContextSchema__:
      properties:
        code:
          type: integer
          title: Code
          default: 100
        data:
          anyOf:
            - $ref: '#/components/schemas/PaginatedResponse_ContextSchema_'
            - type: 'null'
        message:
          title: Message
          type: string
      type: object
      title: Response[PaginatedResponse[ContextSchema]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaginatedResponse_ContextSchema_:
      properties:
        count:
          type: integer
          title: Count
        next:
          title: Next
          type: string
        previous:
          title: Previous
          type: string
        results:
          items:
            $ref: '#/components/schemas/ContextSchema'
          type: array
          title: Results
      type: object
      required:
        - count
        - results
      title: PaginatedResponse[ContextSchema]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          title: Message
          type: string
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ContextSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
      title: ContextSchema
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````